Create schedule comparison

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SmartPM Public API MCP server": {
    "url": "https://developers.smartpm.com/mcp"
  }
}

Close
POST /company/{companyId}/schedule-comparison

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

Path parameters

  • companyId string Required
application/json

Body Required

  • fileId string(uuid)
  • fileName string
  • source string

    Values are SmartPM, XER, MPP, Excel, PMXML, PPX, or PP.

  • dataDate string
  • projectCreationType string

    Values are MANUAL, QUALITY_CHECK, SCHEDULE_COMPARISON, or SCHEDULE_REVIEW.

Responses

  • 200 */*

    OK

    Hide response attributes Show response attributes object
    • valid boolean
    • message string
    • importId string(uuid)
    • projectId integer(int64)
POST /company/{companyId}/schedule-comparison
curl \
 --request POST 'https://live.smartpmtech.com/company/{companyId}/schedule-comparison' \
 --header "X-API-KEY: $API_KEY" \
 --header "Content-Type: application/json" \
 --header "X-COMPANY-ID: string" \
 --data '{
  "fileId": "string",
  "fileName": "string",
  "source": "SmartPM",
  "dataDate": "string",
  "projectCreationType": "MANUAL"
}'
Request examples
# Headers
X-COMPANY-ID: string

# Payload
{
  "fileId": "string",
  "fileName": "string",
  "source": "SmartPM",
  "dataDate": "string",
  "projectCreationType": "MANUAL"
}
Response examples (200)
{
  "valid": true,
  "message": "string",
  "importId": "string",
  "projectId": 42
}